---
version: 36
data:

  - type: "Connection"
    variation: "postgres-connection"
    lastChangedDate: "2025-02-21T12:50:50"
    lastChangedBy: "admin"
    replacePermissions: false
    replaceObject: true
    attributes:
      connectionPoolSize: "2"
      copyUtilityOverSsh: "false"
      credential: "xdm"
      dataExtractGenericFetchSize: "400"
      description: null
      displayName: "XDM DB"
      extractPackageSize: "500"
      jdbcBatchActivated: "true"
      jdbcBatchSize: "500"
      modificationSets: []
      storageLocation: null
      tags: []
      threadCount: "4"
      url: "jdbc:postgresql://postgres:5432/xdm"

  - type: "Credential"
    variation: null
    lastChangedDate: "2025-02-20T09:43:13"
    lastChangedBy: "admin"
    replacePermissions: false
    replaceObject: true
    attributes:
      certificateBasedAuthentication: false
      description: null
      displayName: "xdm"
      keyFormat: null
      password: "{aes}ce376c159572ffe843ecebd4541b92d47416c0772e9ee861de88eff6f4a5353d"
      privateKey: null
      tags: []
      user: "xdm"

  - type: "TaskStageHook"
    variation: null
    lastChangedDate: "2025-02-21T14:47:37"
    lastChangedBy: "admin"
    replacePermissions: false
    replaceObject: true
    attributes:
      code: |
        taskStageHook.xdmDb.jdbcConnection.createStatement().withCloseable { stmt ->
            stmt.execute("TRUNCATE ${taskStageHook.xdmSchema}.batch_object_cache")
        }
      codeType: "GROOVY"
      description: null
      displayName: "Clear Object container cache"
      libraries: []
      mappingTableAccessMode: "READ"
      mappingTableContainers: []
      parameters:
        - possibleValues: []
          displayName: "xdmDb"
          defaultValue: "XDM DB"
          dataType: "CONNECTION"
          description: ""
        - possibleValues: []
          displayName: "xdmSchema"
          defaultValue: "public"
          dataType: "STRING"
          description: ""
      tags: []

  - type: "WorkflowTemplate"
    variation: null
    lastChangedDate: "2025-02-21T14:48:11"
    lastChangedBy: "admin"
    replacePermissions: false
    replaceObject: true
    attributes:
      deleteExecutionFilesOnSuccess: "false"
      description: null
      displayName: "Clear object container cache"
      executionPlatform: "default"
      executionRetentionPeriod: "-1"
      libraries: []
      scriptLanguage: "JAVA_SCRIPT"
      tags: []
      taskExecutionReport: []
      workflow: |-
        HookRunner()
           .hook('Clear Object container cache')
           .parameter('xdmDb', 'XDM DB')
           .parameter('xdmSchema', 'public')
           .run();
      workflowCallEntries:
        - parent: null
          type: "TASK_STAGE_HOOK"
          object: "Clear Object container cache"
    children:
      - type: "Workflow"
        variation: null
        lastChangedDate: "2025-02-21T14:48:18"
        lastChangedBy: "admin"
        replacePermissions: false
        replaceObject: true
        attributes:
          description: null
          displayName: "run"
          tags: []